<!DOCTYPE html>
<html
	xmlns:th="http://www.thymeleaf.org"
	xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
	layout:decorate="~{layouts/admin.html}"
>
	<head>
		<title layout:title-pattern="$CONTENT_TITLE - $LAYOUT_TITLE">
			Setting - Employee
		</title>
		<script src="https://code.jquery.com/jquery-3.5.0.min.js"></script>
		<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
		<script th:inline="javascript">
			$(document).ready(function () {
				// Initialize Select2 for institution
				$("#institution").select2({
					placeholder: "-- Pilih Institusi --"
				});

				// Function to edit employee details
				window.editEmployee = function(id, institution, nik, email, name, number, nick, front, back, gender) {
					$.ajax({
						url: `/employee/institution/${id}`,
						type: 'GET',
						dataType: 'json',
						success: function (response) {
							if (response && response.data) {
								const selectedInstitutions = response.data.map(item => item.id);
								$("#institution").val(selectedInstitutions).trigger('change');
							} else {
								console.error('Invalid data format:', response);
							}
						},
						error: function (xhr, status, error) {
							console.error('Error fetching institution data:', error);
						}
					});

					// Set form field values
					$("#id").val(id);
					$("#nik").val(nik);
					$("#email").val(email);
					$("#fullName").val(name);
					$("#number").val(number);
					$("#nickName").val(nick);
					$("#frontTitle").val(front);
					$("#backTitle").val(back);
					$("#gender").val(gender);
				}

				// Function to redirect to employee page
				window.redirectToEmployee = function() {
					window.location.href = '/employee';
				}

				// Function to redirect to trash page
				window.redirectToTrash = function() {
					window.location.href = '/employee?trash=true';
				}

				$('#openEmployee').on('click', function() {
					$('#prosesForm')[0].reset();
					$('#institution').val(null).trigger('change');
				});
			});
		</script>
	</head>
	<body layout:fragment="content">
		<!-- form -->
		<div th:replace="~{employee/partials/form.html :: form}"></div>
		<div class="container mx-auto px-4 mb-6 mt-6 space-y-6">
			<div
				class="relative overflow-hidden rounded-xl shadow bg-white dark:bg-gray-800"
			>
				<!-- table header -->
				<div
					th:replace="~{employee/partials/table-header.html :: tableHeader}"
				></div>
				<!-- table -->
				<div th:replace="~{employee/partials/table.html :: table}"></div>
				<!-- table footer -->
				<div
					th:replace="~{employee/partials/table-footer.html :: tableFooter}"
				></div>
			</div>
		</div>
	</body>
</html>

<script>
	const data = [
		{
			id: "user001",
			text: "Dofir Fauzi",
			email: "dofirfauzi@tazkia.ac.id",
			img: "/img/user.svg",
		},
		{
			id: "user002",
			text: "Jhone Doe",
			email: "jhonedoe@tazkia.ac.id",
			img: "/img/user.svg",
		},
	];

	function formatUser(user) {
		if (user.loading) {
			return user.text;
		}

		const $container = $(
			`<div class="flex items-center gap-2">
				<img class="w-10 h-10 rounded-full" src="${user.img}" alt="${user.text}">
				<div class="font-medium dark:text-white">
					<div>${user.text}</div>
					<div class="text-sm text-gray-500 dark:text-gray-400">${user.email}</div>
				</div>
			</div>`
		);
		return $container;
	}
	$(document).ready(function () {
		$("#user").select2({
			placeholder: "-- Pilih User --",
			data: data,
			templateResult: formatUser,
		});
	});
</script>
